import java.applet.Applet;
import java.applet.AudioClip;
import java.net.URL;
import java.net.MalformedURLException;

public class PlaySound extends Applet
{
    private static final long serialVersionUID = 200909100926L;
    protected String sound1FileName;
    protected String sound2FileName;
    protected String sound3FileName;
    protected URL sound1Sound;
    protected URL sound2Sound;
    protected URL sound3Sound;
    protected AudioClip sound1SoundData = null;
    protected AudioClip sound2SoundData = null; 
    protected AudioClip sound3SoundData = null;

    public void init()
    {
          // Applet parameters
          sound1FileName = getParameter("sound1FileName");
	  sound2FileName = getParameter("sound2FileName");
          sound3FileName = getParameter("sound3FileName");

          // Sound
  	  try 
  	  {
	      sound1Sound = new URL(getCodeBase(), sound1FileName);
  	  }  catch (MalformedURLException e) 
 	  {
	      sound1Sound = null;
	  };       
	   
	  if (sound1Sound != null && sound1SoundData == null) 
	  {
	      sound1SoundData = getAudioClip(sound1Sound);
	  };


          // Sound
  	  try 
  	  {
	      sound2Sound = new URL(getCodeBase(), sound2FileName);
  	  }  catch (MalformedURLException e) 
 	  {
	      sound2Sound = null;
	  };       
	   
	  if (sound2Sound != null && sound2SoundData == null) 
	  {
	      sound2SoundData = getAudioClip(sound2Sound);
	  };


          // Sound
  	  try 
  	  {
	      sound3Sound = new URL(getCodeBase(), sound3FileName);
  	  }  catch (MalformedURLException e) 
 	  {
	      sound3Sound = null;
	  };       
	   
	  if (sound3Sound != null && sound3SoundData == null) 
	  {
	      sound3SoundData = getAudioClip(sound3Sound);
	  };
    };

    public void playSound1()
    {
       sound1SoundData.play();
    };

    public void playSound2()
    {
       sound2SoundData.play();
    };

    public void playSound3()
    {
       sound3SoundData.play();
    };
}
